Bug 1039301 - Review Request: jackson-datatype-joda - Extension module to properly support full datatype set of Joda date-time library
Summary: Review Request: jackson-datatype-joda - Extension module to properly support ...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-07 19:38 UTC by gil cattaneo
Modified: 2015-09-18 19:00 UTC (History)
2 users (show)

Fixed In Version: 2.5.0-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-09 23:19:57 UTC
Type: ---
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2013-12-07 19:38:01 UTC
Spec URL: http://gil.fedorapeople.org/jackson-datatype-joda.spec
SRPM URL: http://gil.fedorapeople.org/jackson-datatype-joda-2.2.2-1.fc19.src.rpm
Description:
Add-on module for Jackson (http://jackson.codehaus.org) to support
Joda (http://joda-time.sourceforge.net/) data types.
Fedora Account System Username: gil

Comment 5 Jerry James 2015-08-28 15:56:39 UTC
I will take this review.

Comment 6 Jerry James 2015-08-28 18:06:23 UTC
The only issue I see is that the latest version (2.6.1) is not packaged.  Can it be used, or is there a reason why 2.5.0 is necessary?

On a related note, it looks like 2.5.4 might fix the ComparisonFailure noted in %prep.  If 2.6.x is not feasible, can 2.5.4 be used at least?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     But it doesn't matter, because maven runs the tests while building.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jackson-datatype-joda-2.5.0-1.fc24.noarch.rpm
          jackson-datatype-joda-javadoc-2.5.0-1.fc24.noarch.rpm
          jackson-datatype-joda-2.5.0-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
jackson-datatype-joda-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

jackson-datatype-joda (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.fasterxml.jackson.core:jackson-annotations)
    mvn(com.fasterxml.jackson.core:jackson-core)
    mvn(com.fasterxml.jackson.core:jackson-databind)
    mvn(joda-time:joda-time)



Provides
--------
jackson-datatype-joda-javadoc:
    jackson-datatype-joda-javadoc

jackson-datatype-joda:
    jackson-datatype-joda
    mvn(com.fasterxml.jackson.datatype:jackson-datatype-joda)
    mvn(com.fasterxml.jackson.datatype:jackson-datatype-joda:pom:)
    osgi(com.fasterxml.jackson.datatype.jackson-datatype-joda)



Source checksums
----------------
https://github.com/FasterXML/jackson-datatype-joda/archive/jackson-datatype-joda-2.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 563836352c2f9d9fea7e4b1f1633d9e110666c5ab32042cec4a3f4a9e03166df
  CHECKSUM(SHA256) upstream package : 563836352c2f9d9fea7e4b1f1633d9e110666c5ab32042cec4a3f4a9e03166df


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1039301 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 gil cattaneo 2015-08-28 18:38:46 UTC
(In reply to Jerry James from comment #6)
> The only issue I see is that the latest version (2.6.1) is not packaged. 
> Can it be used, or is there a reason why 2.5.0 is necessary?
> 
> On a related note, it looks like 2.5.4 might fix the ComparisonFailure noted
> in %prep.  If 2.6.x is not feasible, can 2.5.4 be used at least?

I prefer use this release for the moment, until will have upgraded all jackson 2 packages, for avoid apis breakage

Comment 8 gil cattaneo 2015-08-28 18:52:39 UTC
list of packages which should be updated
http://pkgs.fedoraproject.org/cgit/fasterxml-oss-parent
http://pkgs.fedoraproject.org/cgit/?q=jackson

Comment 9 Jerry James 2015-08-28 21:33:29 UTC
Okay, just wanted to be sure there was a reason.  This package is APPROVED.

Comment 10 gil cattaneo 2015-08-28 21:55:14 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: jackson-datatype-joda
Short Description: Add-on module for Jackson to support Joda data-types
Upstream URL: http://wiki.fasterxml.com/JacksonModuleJoda
Owners: gil
Branches: f22 f23
InitialCC: java-sig

Comment 11 Gwyn Ciesla 2015-08-30 14:14:33 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-08-30 15:36:20 UTC
jackson-datatype-joda-2.5.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14584

Comment 13 Fedora Update System 2015-08-30 15:47:44 UTC
jackson-datatype-joda-2.5.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14586

Comment 14 Fedora Update System 2015-09-01 09:58:35 UTC
jackson-datatype-joda-2.5.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jackson-datatype-joda'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14586

Comment 15 Fedora Update System 2015-09-01 10:05:00 UTC
jackson-datatype-joda-2.5.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update jackson-datatype-joda'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14584

Comment 16 Fedora Update System 2015-09-09 23:19:54 UTC
jackson-datatype-joda-2.5.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-09-18 19:00:21 UTC
jackson-datatype-joda-2.5.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.